<apex:page standardController="Scaffold_Inspection__c" extensions="ScaffoldInspectionController">
<style>
	.detailPanel {
        	border: 0.03cm solid #b7b7b7;
        	color: #878787;
        	margin-bottom: 10px;
        	padding-left: 20px;
    }
        
	.dataRow {
		line-height: 25px; 
	}
	
	.sectionCaption {
        	font-weight: bold;
            font-size: medium;
            color: #878787;
    }
    
    .fieldCaptionCell {
        	font-weight: bold;
            font-size: small;
            color: #878787;
            text-align:left;
	}
	
	.fieldValueCell {
		font-weight: normal;
	    font-size: small;
	    color: #878787;
	    text-align:left;
	    padding-left: 10px
	}
	
	.bBorder {
        	border-bottom: 0.03cm solid #d7d7d7;
    }
    
    .columnTitle {
    	font-weight: bold;
    	font-size: medium;
    	color: Red;
    	text-align: left;
    }
</style>
<apex:form >
	
	<script>
		window.onload = function() {
			
			var elemArray = document.getElementsByClassName('inputField');
			
			for(var i = 0; i < elemArray.length; i++) {
				elemArray[i].disabled = {!record.isLocked__c};
			}
		}
	</script>
	<table width="95%" border="0" cellpadding="0" cellspacing="0" style="margin:10 0 10 5;">
		
		<tr height="20px">
			<td width="45%">
			</td>
            <td>
            	<apex:commandLink value="Save" action="{!save}" target="_top" StyleClass="btn" rendered="{!!record.isLocked__c}" />
            	<apex:commandLink value="Submit" action="{!submit}" target="_top" StyleClass="btn" rendered="{!!record.isLocked__c}"/>
            </td>
        </tr>
        
        <tr>
            <!-- Data goes here -->
            <td colspan="2">
                <apex:outputpanel id="detailPanel"> 
                    
                    <fieldset class="detailPanel">
                        <legend class="sectionCaption"> SILLS </legend>
                        <!-- Team Allocation Detail -->
                        <table width="100%" border="0" cellpadding="0" cellspacing="0" id="dayShiftDetailPanelTable" >
                        	<tr class="dataRow">
                                <td width="30%" class="columnTitle bBorder">Item Code Description</td>
                                <td width="10%" class="columnTitle bBorder">Regulation Location</td>
                                <td width="6%" class="columnTitle bBorder" >Meets Code?</td>
                            </tr>  
                            <tr class="dataRow">
                                <td width="30%" class="fieldCaptionCell bBorder">Sill adequate for required load distribution</td>
                                <td width="10%" class="fieldValueCell bBorder">CSA 5.6.4</td>
                                <td width="6%" class="bBorder" >
                                	<apex:inputField styleClass="inputField" value="{!record.Sills_Load_Distribution__c}" />
            					</td>
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Standards secured from movement</td>
                                <td class="fieldValueCell bBorder">CSA 5.6.4 e</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Sills_Secured_from_movement__c}" />
								</td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Creates friction on hard surfaces</td>
                                <td class="fieldValueCell bBorder">Good practices</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Sills_Hard_Surfaces__c}" />
                                </td>                           
                            </tr>                            
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Base plates installed where upright could penetrate sill</td>
                                <td class="fieldValueCell bBorder">Sask. OH&amp;S Reg. 172-4</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Sills_Base_plates_upright__c}" />
                                </td>                           
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder" style="vertical-align:top;">Base plates fastened to mudsills</td>
                                <td class="fieldValueCell bBorder" style="vertical-align:top;">OH&amp;S reg. 176-3 g</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Sills_Base_plates_mudsills__c}" />
                                </td>                           
                            </tr>
                        </table>
					</fieldset>
					
					<fieldset class="detailPanel">
                        <legend class="sectionCaption"> TOE BOARDS </legend>
                        <!-- Team Allocation Detail -->
                        <table width="100%" border="0" cellpadding="0" cellspacing="0" id="dayShiftDetailPanelTable" >
                            <tr class="dataRow">
                                <td width="30%" class="columnTitle bBorder">Item Code Description</td>
                                <td width="10%" class="columnTitle bBorder">Regulation Location</td>
                                <td width="6%" class="columnTitle bBorder" >Meets Code?</td>
                            </tr>  
                            <tr class="dataRow">
                                <td width="30%" class="fieldCaptionCell bBorder">Toe board installed if deck is more than 3m from surface</td>
                                <td width="10%" class="fieldValueCell bBorder">OH&amp;S reg. 123-1 b</td>
                                <td width="6%" class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Toe_board_surface__c}" />
                                </td>
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Toe boards able to resist 50 lbs point loaded</td>
                                <td class="fieldValueCell bBorder">CSA 5.12.4.1</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Toe_board_point_load__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Toe boards extend at least 125mm above platform</td>
                                <td class="fieldValueCell bBorder">OH&amp;S reg 123-3a</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Toe_board_above_platform__c}" />
                                </td>                           
                            </tr>
                        </table>
					</fieldset>
					
					<fieldset class="detailPanel">
                        <legend class="sectionCaption"> PLUM AND LEVEL </legend>
                        <!-- Team Allocation Detail -->
                        <table width="100%" border="0" cellpadding="0" cellspacing="0" id="dayShiftDetailPanelTable" >
                            <tr class="dataRow">
                                <td width="30%" class="columnTitle bBorder">Item Code Description</td>
                                <td width="10%" class="columnTitle bBorder">Regulation Location</td>
                                <td width="6%" class="columnTitle bBorder" >Meets Code?</td>
                            </tr>  
                            <tr class="dataRow">
                                <td width="30%" class="fieldCaptionCell bBorder">Deviation from plumb not more than 1/2" in 10' or 1 1/2" over total height</td>
                                <td width="10%" class="fieldValueCell bBorder">CSA 5.8.1.1</td>
                                <td width="6%" class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Plum_And_Level_height__c}" />
                                </td>
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Deviation from level not more than 1/2" in 7' distance</td>
                                <td class="fieldValueCell bBorder">CSA 5.8.1.1</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Plum_And_Level_distance__c}" />
                                </td>                          
                            </tr>
                        </table>
					</fieldset>
					
					<fieldset class="detailPanel">
                        <legend class="sectionCaption"> CONNECTIONS </legend>
                        <!-- Team Allocation Detail -->
                        <table width="100%" border="0" cellpadding="0" cellspacing="0" id="dayShiftDetailPanelTable" >
                            <tr class="dataRow">
                                <td width="30%" class="columnTitle bBorder">Item Code Description</td>
                                <td width="10%" class="columnTitle bBorder">Regulation Location</td>
                                <td width="6%" class="columnTitle bBorder" >Meets Code?</td>
                            </tr>  
                            <tr class="dataRow">
                                <td width="30%" class="fieldCaptionCell bBorder">Bottom set of ledgers and transoms not more than 18" above base plates</td>
                                <td width="10%" class="fieldValueCell bBorder">CSA 5.8.7.2</td>
                                <td width="6%" class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Connections_Bottom__c}" />
                                </td>
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Transoms do not contain joints</td>
                                <td class="fieldValueCell bBorder">CSA 5.8.7.4 d</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Connections_Transoms__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Joints in standards are staggard and do not occur in the same tier</td>
                                <td class="fieldValueCell bBorder">CSA 5.8.7.4 b, OH&amp;S 176-3a,b</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Connections_Joints__c}" />
                                </td>                           
                            </tr>                            
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Node points as tight as clamp arrangement allows</td>
                                <td class="fieldValueCell bBorder">CSA 5.8.7.4 a</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Connections_Node__c}" />
                                </td>                           
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder" style="vertical-align:top;">Ledgers and transoms are connected using Right angle clamps</td>
                                <td class="fieldValueCell bBorder" style="vertical-align:top;">CSA 5.8.7.3</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Connections_Ledgers__c}" />
                                </td>                           
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">At least 2" of tube extends beyond all clamps</td>
                                <td class="fieldValueCell bBorder">CSA 5.8.7.6 a</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Connections_clamps__c}" />
                                </td>                           
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder" style="vertical-align:top;">Clamps attached with wedges driven down and out</td>
                                <td class="fieldValueCell bBorder" style="vertical-align:top;">CSA 5.8.7.6 b</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Connections_wedges__c}" />
                                </td>                           
                            </tr>
                        </table>
					</fieldset>
					
					<fieldset class="detailPanel">
                        <legend class="sectionCaption"> SAFE DISTANCE </legend>
                        <!-- Team Allocation Detail -->
                        <table width="100%" border="0" cellpadding="0" cellspacing="0" id="dayShiftDetailPanelTable" >
                            <tr class="dataRow">
                                <td width="30%" class="columnTitle bBorder">Item Code Description</td>
                                <td width="10%" class="columnTitle bBorder">Regulation Location</td>
                                <td width="6%" class="columnTitle bBorder" >Meets Code?</td>
                            </tr>  
                            <tr class="dataRow">
                                <td width="30%" class="fieldCaptionCell bBorder">Scaffold does not restrict a permanent walkway to less than 22"</td>
                                <td width="10%" class="fieldValueCell bBorder">CSA 5.2 j</td>
                                <td width="6%" class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Safe_Distance_walkway__c}" />
                                </td>
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Scaffold does not impeed access to emergency equipment, doors or electrical panels</td>
                                <td class="fieldValueCell bBorder">CSA 5.2 k</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Safe_Distance_impeed_acess__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Scaffold erected no closer than 10' from energized electrical conductors</td>
                                <td class="fieldValueCell bBorder">CSA 5.3.1</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Safe_Distance_conductors__c}" />
                                </td>                           
                            </tr>
                        </table>
					</fieldset>
					
					<fieldset class="detailPanel">
                        <legend class="sectionCaption"> HANGERS </legend>
                        <!-- Team Allocation Detail -->
                        <table width="100%" border="0" cellpadding="0" cellspacing="0" id="dayShiftDetailPanelTable" >
                            <tr class="dataRow">
                                <td width="30%" class="columnTitle bBorder">Item Code Description</td>
                                <td width="10%" class="columnTitle bBorder">Regulation Location</td>
                                <td width="6%" class="columnTitle bBorder" >Meets Code?</td>
                            </tr>  
                            <tr class="dataRow">
                                <td width="30%" class="fieldCaptionCell bBorder">Hanging tube and clamp scaffold does not have joiners in standards, braces or transoms</td>
                                <td width="10%" class="fieldValueCell bBorder">CSA 5.8.4 d ii</td>
                                <td width="6%" class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Hangers_joiners__c}" />
                                </td>
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Hanging tube and clamp scaffold includes check clamps place at least 6" from end tube and tight against main clamp</td>
                                <td class="fieldValueCell bBorder">CSA 5.8.4 d i</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Hangers_main_clamp__c}" />
                                </td>                          
                            </tr>
                        </table>
					</fieldset>
					
					<fieldset class="detailPanel">
                        <legend class="sectionCaption"> BRACING </legend>
                        <!-- Team Allocation Detail -->
                        <table width="100%" border="0" cellpadding="0" cellspacing="0" id="dayShiftDetailPanelTable" >
                            <tr class="dataRow">
                                <td width="30%" class="columnTitle bBorder">Item Code Description</td>
                                <td width="10%" class="columnTitle bBorder">Regulation Location</td>
                                <td width="6%" class="columnTitle bBorder" >Meets Code?</td>
                            </tr>  
                            <tr class="dataRow">
                                <td width="30%" class="fieldCaptionCell bBorder">Free standing scaffold no more than three time height to smallest base dimension</td>
                                <td width="10%" class="fieldValueCell bBorder">CSA 5.9.1, OH&amp;S reg. 188.1</td>
                                <td width="6%" class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Bracing_free_standing__c}" />
                                </td>
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">If more than three times smallest base dimension in height, ties are installed every 4m vertical and 6m horizontal or guy wired</td>
                                <td class="fieldValueCell bBorder">OH&amp;S reg. 172-4e</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Bracing_guy_wired__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Bracing is sufficient to support scaffold as directed by manufacturer recommendations or csa</td>
                                <td class="fieldValueCell bBorder">CSA 5.8.7.5</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Bracing_csa__c}" />
                                </td>                           
                            </tr>                            
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Sufficient head room of at least 6'6"</td>
                                <td class="fieldValueCell bBorder">CSA 5.11.6 a</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Bracing_head_room__c}" />
                                </td>                           
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder" style="vertical-align:top;">If hoarded, tie ins are adequate for the added wind force</td>
                                <td class="fieldValueCell bBorder" style="vertical-align:top;">OH&amp;S reg. 172-5</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Bracing_wind_force__c}" />
                                </td>                           
                            </tr>
                        </table>
					</fieldset>
					
					<fieldset class="detailPanel">
                        <legend class="sectionCaption"> RAMPS </legend>
                        <!-- Team Allocation Detail -->
                        <table width="100%" border="0" cellpadding="0" cellspacing="0" id="dayShiftDetailPanelTable" >
                            <tr class="dataRow">
                                <td width="30%" class="columnTitle bBorder">Item Code Description</td>
                                <td width="10%" class="columnTitle bBorder">Regulation Location</td>
                                <td width="6%" class="columnTitle bBorder" >Meets Code?</td>
                            </tr>  
                            <tr class="dataRow">
                                <td width="30%" class="fieldCaptionCell bBorder">Scaffold ramp does not exceed slope of 5 horizontal to 1 vertical and cleated for slip resistance at 16" intervals</td>
                                <td width="10%" class="fieldValueCell bBorder">CSA 5.11.6 d, OH&amp;S reg. 174-3c</td>
                                <td width="6%" class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Ramps_resistance__c}" />
                                </td>
                            </tr>
                        </table>
					</fieldset>
					
					<fieldset class="detailPanel">
                        <legend class="sectionCaption"> PLATFORMS </legend>
                        <!-- Team Allocation Detail -->
                        <table width="100%" border="0" cellpadding="0" cellspacing="0" id="dayShiftDetailPanelTable" >
                            <tr class="dataRow">
                                <td width="30%" class="columnTitle bBorder">Item Code Description</td>
                                <td width="10%" class="columnTitle bBorder">Regulation Location</td>
                                <td width="6%" class="columnTitle bBorder" >Meets Code?</td>
                            </tr>  
                            <tr class="dataRow">
                                <td width="30%" class="fieldCaptionCell bBorder">No gaps in platform that tools or materials may fall through</td>
                                <td width="10%" class="fieldValueCell bBorder">CSA 5.11.7</td>
                                <td width="6%" class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Platforms_No_gaps__c}" />
                                </td>
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Platform to be a minimum of 500mm ( 20 " ) wide</td>
                                <td class="fieldValueCell bBorder">OH&amp;S reg. 174-3 a</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Platforms_minimum_wide__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">All light duty scaffold platforms capable of supporting at least 25 lbs/ft2</td>
                                <td class="fieldValueCell bBorder">CSA 5.11.2 a, OH&amp;S reg. 172-1 a ii</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Platforms_light_duty__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Planks are supported by transom attached directly to standards or transom attached to ledger within 6" of the standard</td>
                                <td class="fieldValueCell bBorder">CSA 5.11.9.1 a i</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Platforms_Planks__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Scaffold plank to over hang transom 6"-12"</td>
                                <td class="fieldValueCell bBorder">CSA 5.11.9.1 b, OH&amp;S reg. 174-1 h</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Platforms_Scafford_plank__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Planks restrained from horizontal and vertical movement</td>
                                <td class="fieldValueCell bBorder">CSA 5.11.11, OH&amp;S reg. 174-1 e</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Platforms_movement__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Planks supported with no more than 3m span unless approved by manufacturer</td>
                                <td class="fieldValueCell bBorder">OH&amp;S reg. 174-1 f,g</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Platforms_span__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Platform planks shall not have previously been uses as mud sills</td>
                                <td class="fieldValueCell bBorder">CSA 5.11.4.1 b</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Platforms_mud_sills__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Laminated planks are not painted</td>
                                <td class="fieldValueCell bBorder">CSA 5.11.4.1 a</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Platforms_painted__c}" />
                                </td>                          
                            </tr>
                        </table>
					</fieldset>
					
					<fieldset class="detailPanel">
                        <legend class="sectionCaption"> GUARDRAILS </legend>
                        <!-- Team Allocation Detail -->
                        <table width="100%" border="0" cellpadding="0" cellspacing="0" id="dayShiftDetailPanelTable" >
                            <tr class="dataRow">
                                <td width="30%" class="columnTitle bBorder">Item Code Description</td>
                                <td width="10%" class="columnTitle bBorder">Regulation Location</td>
                                <td width="6%" class="columnTitle bBorder" >Meets Code?</td>
                            </tr>  
                            <tr class="dataRow">
                                <td width="30%" class="fieldCaptionCell bBorder">Guardrail is constructed of 38mmX89mm construction grade lumber or better</td>
                                <td width="10%" class="fieldValueCell bBorder">OH&amp;S reg. 122-1 e</td>
                                <td width="6%" class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Guardrails_grade_lumber__c}" />
                                </td>
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Guardrails capable of resisting 200 lbs point loaded</td>
                                <td class="fieldValueCell bBorder">CSA 5.12.4.1</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Guardrails_point_load__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Guardrails installed if gap between wall and platforms is more than 12"</td>
                                <td class="fieldValueCell bBorder">CSA 5.12.1 b</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Guardrails_Gap__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Guard rails installed if platform is over 3m height</td>
                                <td class="fieldValueCell bBorder">OH&amp;S reg. 116-2</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Guardrails_over_height__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Top guard rails installed at height of 36"-42"</td>
                                <td class="fieldValueCell bBorder">CSA 5.12.3 a, OH&amp;S reg. 122a</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Guardrails_Top_Guard_Rails__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Mid rail midway between platform and top rail</td>
                                <td class="fieldValueCell bBorder">Csa 5.12.3 c, OH&amp;s reg 122b</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Guardrails_Midway__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Guardrails supported by vertical members not more than 3m</td>
                                <td class="fieldValueCell bBorder">OH&amp;S reg. 122-1 i,ii</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Guardrails_vertical_members__c}" />
                                </td>                          
                            </tr>
                        </table>
					</fieldset>
					
					<fieldset class="detailPanel">
                        <legend class="sectionCaption"> LADDERS </legend>
                        <!-- Team Allocation Detail -->
                        <table width="100%" border="0" cellpadding="0" cellspacing="0" id="dayShiftDetailPanelTable" >
                            <tr class="dataRow">
                                <td width="30%" class="columnTitle bBorder">Item Code Description</td>
                                <td width="10%" class="columnTitle bBorder">Regulation Location</td>
                                <td width="6%" class="columnTitle bBorder" >Meets Code?</td>
                            </tr>  
                            <tr class="dataRow">
                                <td width="30%" class="fieldCaptionCell bBorder">Ladder extends at least 1m above access point</td>
                                <td width="10%" class="fieldValueCell bBorder">OH&amp;S reg 255-3d</td>
                                <td width="6%" class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Ladders_access_point__c}" />
                                </td>
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Ladder caged if deck height over 10'</td>
                                <td class="fieldValueCell bBorder">CSA 5.13.2 h</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Ladders_deck_height__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Ladder cage begins no more than (2.2m) 7'2" from ground</td>
                                <td class="fieldValueCell bBorder">CSA 5.13.2.h I, OH&amp;S reg 255-6a</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Ladders_cage_begin__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Ladder cage extends at least 1m above platform</td>
                                <td class="fieldValueCell bBorder">CSA 5.13.2 h I, OH&amp;S reg 255-6b</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Ladders_cage_extends__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Ladder cage no more than 750mm ( 30" ) from ladder</td>
                                <td class="fieldValueCell bBorder">CSA 5.13.2 h ii, OH&amp;S reg 255-4b</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Ladders_cage_from_ladder__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Ladder cage verticals inside of hoops and spaced no more than 12" center to center</td>
                                <td class="fieldValueCell bBorder">CSA 5.13.2 h iii</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Ladder_cage_verticals__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Ladder has clear span of at least 6" behind every rung</td>
                                <td class="fieldValueCell bBorder">CSA 5.13.2 d, OH&amp;S reg 255-3b</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Ladder_clear_span__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Ladder has rest platforms every 5m (16.5') and offset at these platforms</td>
                                <td class="fieldValueCell bBorder">CSA 5.13.2 g,h</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Ladder_rest_platform__c}" />
                                </td>                          
                            </tr>
                        </table>
					</fieldset>
					
					<fieldset class="detailPanel">
                        <legend class="sectionCaption"> ACCESS </legend>
                        <!-- Team Allocation Detail -->
                        <table width="100%" border="0" cellpadding="0" cellspacing="0" id="dayShiftDetailPanelTable" >
                            <tr class="dataRow">
                                <td width="30%" class="columnTitle bBorder">Item Code Description</td>
                                <td width="10%" class="columnTitle bBorder">Regulation Location</td>
                                <td width="6%" class="columnTitle bBorder" >Meets Code?</td>
                            </tr>  
                            <tr class="dataRow">
                                <td width="30%" class="fieldCaptionCell bBorder">Access to scaffold from another surface or structure, gap no more than 10" horizontally or 24" vertically</td>
                                <td width="10%" class="fieldValueCell bBorder">CSA 5.13.6</td>
                                <td width="6%" class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Access_scafford__c}" />
                                </td>
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Access opening has a minimum width of 22" supplied with swing gate or similar device</td>
                                <td class="fieldValueCell bBorder">CSA 5.12.3 d</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Access_opening__c}" />
                                </td>                          
                            </tr>
                        </table>
					</fieldset>
					
					<fieldset class="detailPanel">
                        <legend class="sectionCaption"> STAIRS </legend>
                        <!-- Team Allocation Detail -->
                        <table width="100%" border="0" cellpadding="0" cellspacing="0" id="dayShiftDetailPanelTable" >
                            <tr class="dataRow">
                                <td width="30%" class="columnTitle bBorder">Item Code Description</td>
                                <td width="10%" class="columnTitle bBorder">Regulation Location</td>
                                <td width="6%" class="columnTitle bBorder" >Meets Code?</td>
                            </tr>  
                            <tr class="dataRow">
                                <td width="30%" class="fieldCaptionCell bBorder">Scaffold  stairs at least 18" wide</td>
                                <td width="10%" class="fieldValueCell bBorder">CSA 5.13.4 a</td>
                                <td width="6%" class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Stairs_wide__c}" />
                                </td>
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Scaffold stairs no more than 1/2" variance in tread depth</td>
                                <td class="fieldValueCell bBorder">CSA 5.13.4 b</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Stairs_depth__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Scaffold stairs no more than 1/2" varuance in riser height</td>
                                <td class="fieldValueCell bBorder">CSA 5.13.4 c</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Stairs_height__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Scaffold stairs do not exceed 60 degree angle</td>
                                <td class="fieldValueCell bBorder">CSA 5.13.4 d</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Stairs_angle__c}" />
                                </td>                          
                            </tr>
                            <tr class="dataRow">
                                <td class="fieldCaptionCell bBorder">Scaffold stairs have landings over 12" of vertical height</td>
                                <td class="fieldValueCell bBorder">CSA 5.13.4 e</td>
                                <td class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Stairs_vertical__c}" />
                                </td>                          
                            </tr>
                        </table>
					</fieldset>
					
					<fieldset class="detailPanel">
                        <legend class="sectionCaption"> ENGINEERING </legend>
                        <!-- Team Allocation Detail -->
                        <table width="100%" border="0" cellpadding="0" cellspacing="0" id="dayShiftDetailPanelTable" >
                            <tr class="dataRow">
                                <td width="30%" class="columnTitle bBorder">Item Code Description</td>
                                <td width="10%" class="columnTitle bBorder">Regulation Location</td>
                                <td width="6%" class="columnTitle bBorder" >Meets Code?</td>
                            </tr>  
                            <tr class="dataRow">
                                <td width="30%" class="fieldCaptionCell bBorder">Design drawings for scaffolds requiring engineering</td>
                                <td width="10%" class="fieldValueCell bBorder">CSA 5.15.1</td>
                                <td width="6%" class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Engineering__c}" />
                                </td>
                            </tr>
                        </table>
					</fieldset>
					
					<fieldset class="detailPanel">
                        <legend class="sectionCaption"> TAGS </legend>
                        <!-- Team Allocation Detail -->
                        <table width="100%" border="0" cellpadding="0" cellspacing="0" id="dayShiftDetailPanelTable" >
                            <tr class="dataRow">
                                <td width="30%" class="columnTitle bBorder">Item Code Description</td>
                                <td width="10%" class="columnTitle bBorder">Regulation Location</td>
                                <td width="6%" class="columnTitle bBorder" >Meets Code?</td>
                            </tr>  
                            <tr class="dataRow">
                                <td width="30%" class="fieldCaptionCell bBorder">Scaffold tag at all accesses of scaffold</td>
                                <td width="10%" class="fieldValueCell bBorder">CSA 7.3.1</td>
                                <td width="6%" class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Tags_accessess__c}" />
                                </td>
                            </tr>
                            <tr class="dataRow">
                                <td width="30%" class="fieldCaptionCell bBorder">Scaffold tags updated by competent person</td>
                                <td width="10%" class="fieldValueCell bBorder">CSA 7.3.3, OH&amp;S reg. 172-2 c</td>
                                <td width="6%" class="bBorder">
                                	<apex:inputField styleClass="inputField"  value="{!record.Tags_updated__c}" />
                                	<!--apex:selectRadio value="{!record.Tags_updated__c}">
                						<apex:selectOption itemLabel="Yes" itemValue="True" />
                						<apex:selectOption itemLabel="No" itemValue="False"  />
            						</apex:selectRadio-->
                                </td>
                            </tr>
                        </table>
					</fieldset>
					
				</apex:outputpanel>
			</td>
        </tr>
        <tr>
			<td width="45%">
			</td>
            <td>
            	<apex:commandLink value="Save" action="{!save}" target="_top" StyleClass="btn" rendered="{!!record.isLocked__c}" />
            	<apex:commandLink value="Submit" action="{!submit}" target="_top" StyleClass="btn" rendered="{!!record.isLocked__c}"/>
            </td>
        </tr>
	</table>
	</apex:form>
</apex:page>